Bug 207625 - alternatives doesn't have jdb
alternatives doesn't have jdb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
6
i386 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 19:32 EDT by Jonathan Glaschke
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 10:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Glaschke 2006-09-21 19:32:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.7) Gecko/20060918 Fedora/1.5.0.7-3.fc6 Firefox/1.5.0.7 pango-text

Description of problem:
I'm not sure i this is a bug or a feature, but i recently noticed that alternatives --display java does not include jdb.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. /usr/sbin/alternatives --display java
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Thomas Fitzsimmons 2006-10-03 10:34:52 EDT
Yes, we should have a readline-based jdb replacement that uses JVMTI to
interface to libgcj's bytecode interpreter.  The first step though, is
implementing JVMTI, which is in active development in the gcc repository.

I'll leave this open until we have a jdb replacement, likely for FC-7.
Comment 2 Thomas Fitzsimmons 2007-01-11 15:45:56 EST
Keith, any chance of a jdb-like command in Fedora 7?
Comment 3 Thomas Fitzsimmons 2007-04-02 10:42:48 EDT
There are no plans to write a jdb replacement.

Note You need to log in before you can comment on or make changes to this bug.